%global debug_package   %{nil}
%global import_path     launchpad.net/gocheck
%global gopath          %{_datadir}/gocode
%global rev             85

Name:           golang-launchpad-gocheck
Version:        0
Release:        0.2.bzr%{rev}%{?dist}
Summary:        Rich testing framework for the Go language
License:        LGPL
URL:            http://labix.org/gocheck
# launchpad.net does not have a revisioned archive download, that I can find
Source0:        http://vbatts.fedorapeople.org/rpmbuild/SOURCES/gocheck-%{rev}.tar.gz
%if 0%{?fedora} >= 19 || 0%{?rhel} >= 7
BuildArch:      noarch
%else
ExclusiveArch:  %{ix86} x86_64 %{arm}
%endif

%description
%{summary}

%package        devel
Requires:       golang
Summary:        Libraries of Rich testing framework for the Go language
Provides:       golang(%{import_path}) = %{version}-%{release}

%description devel
%{summary}

This package contains library source intended for building other packages
which use this library.

%prep
%setup -n gocheck-%{rev}

%build

%install
install -d %{buildroot}/%{gopath}/src/%{import_path}
cp -av *.go %{buildroot}/%{gopath}/src/%{import_path}/

%files devel
%defattr(-,root,root,-)
%doc LICENSE
%dir %attr(755,root,root) %{gopath}/src/%{import_path}
%{gopath}/src/%{import_path}/*.go

%changelog
* Fri Apr 11 2014 Lokesh Mandvekar <lsm5@redhat.com> 0-0.2.bzr85
- arch definitions in main package
- requires in devel subpackage

* Fri Nov 22 2013 Vincent Batts <vbatts@redhat.com> 0-0.1.bzr85
- initial build
